<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Title>Season 2</Title>
  <Series>Edgar Allan Poe's Snifter of Terror</Series>
  <Number>002</Number>
  <Web>https://www.comixology.com/Edgar-Allan-Poe-s-Snifter-of-Terror-2/digital-comic/818116</Web>
  <Summary>Mark Russell (Second Coming) and Peter Snejbjerg return with another Cereal Monsters shocker, "The Leprechaun King!" Tom Peyer and Greg Scott desecrate "Edgar Allan Poe's The Conqueror Worm!" Hint: contains giant worms! Hunt Emerson brings another violent round of "Poe and the Black Cat!" EXTRA! Prose, poems, pictures and/or puzzles! Painted cover by Richard Williams (MAD).</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB818116]</Notes>
  <Publisher>AHOY Comics</Publisher>
  <Genre>Horror, Comedy</Genre>
  <PageCount>31</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
